complexType "CalculationDetails"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | grossCashflow?, observationElements*, calculationElements?
</...>

Content Model Elements (3):

  calculationElements, grossCashflow (defined in CalculationDetails complexType), | observationElements

All Direct / Indirect Based Elements (2):

  calculationDetails (defined in PaymentMatching complexType),
  calculationDetails (in payment in position in positionReport)

Known Usage Locations

- As direct type of elements (2):
  calculationDetails (defined in PaymentMatching complexType),
  calculationDetails (in payment in position in positionReport)

Annotation
A cashflow component with optional calculation details that explain how the cashflow amount was computed.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CalculationDetails"> <xsd:sequence> <xsd:element minOccurs="0" name="grossCashflow" type="GrossCashflow"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="observationElements" type="CashflowObservation"/> <xsd:element minOccurs="0" name="calculationElements" type="CashflowCalculationElements"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
calculationElements

  Type: | CashflowCalculationElements, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="calculationElements" type="CashflowCalculationElements"/>

grossCashflow

  Type: | GrossCashflow, complex content

  Payment details of this cash flow component, including currency, amount and payer/payee.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="grossCashflow" type="GrossCashflow"/>

observationElements

  Type: | CashflowObservation, complex content

  The underlyer rate or price observation(s) used to compute the amount of this cashflow component.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="observationElements" type="CashflowObservation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.